Bug 782466 - (PrivateTmp) TRACKER: Change Several Service Unit files to use PrivateTmp by default.
TRACKER: Change Several Service Unit files to use PrivateTmp by default.
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: systemd (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: systemd-maint
Fedora Extras Quality Assurance
:
Depends On: 782496 782538 781440 782470 782471 782474 782476 782477 782478 782479 782481 782483 782486 782488 782491 782492 782493 782495 782497 782498 782499 782500 782501 782502 782504 782505 782507 782508 782511 782512 782513 782514 782516 782517 782519 782520 782522 782524 782525 782527 782528 782529 782530 782531 782532 782534 782535 782539 790522
Blocks:
  Show dependency treegraph
 
Reported: 2012-01-17 10:01 EST by Daniel Walsh
Modified: 2015-02-17 09:02 EST (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 09:02:59 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Daniel Walsh 2012-01-17 10:01:36 EST
This bug is for tracking progress on the Fedora Feature

http://fedoraproject.org/wiki/Features/ServicesPrivateTmp
Comment 1 Jóhann B. Guðmundsson 2012-01-17 11:38:22 EST
Just out of curiosity are you going to submit new unit files with those changes and cant this not be just turned on by default globally in systemd or would that have drastic effects?
Comment 2 Daniel Walsh 2012-01-17 11:48:38 EST
Well if we turned it on by default, we could break things, like X for example.  Any app that uses /tmp to communicate with a user would be broken.  While I would like to eventually turn it on by default, I would prefer to get feedback from several packagers about any problems they have with this change.
Comment 3 Fedora End Of Life 2013-04-03 13:44:25 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19
Comment 4 Fedora End Of Life 2015-01-09 11:57:05 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 5 Fedora End Of Life 2015-02-17 09:02:59 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.